<template>
    <v-dialog v-model="dialog_add_mapping" persistent width="50vw">
        <v-card>
            <v-card-title class="headline grey lighten-2">Add Form</v-card-title>
            <v-card-text>
                <v-layout></v-layout>
            </v-card-text>
            <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn @click="batalForm()" color="error" class="white--text">Batal</v-btn>
                <v-btn @click="simpanForm()" color="primary" class="white--text">Simpan</v-btn>
            </v-card-actions>
        </v-card>
    </v-dialog>
</template>

<script>
module.exports = {
    data() {
        return {}
    },
    computed: {
        dialog_add_mapping: {
            get() {
                return this.$store.state.invMap.dialog_add_mapping;
            },
            set(val) {
                this.$store.commit("invMap/update_dialog_add_mapping", val);
            }
        }
    },
    methods: {
        batalForm() {

        },
        simpanForm() {

        }
    }
}
</script>
